summaryrefslogtreecommitdiffstats
path: root/third_party/rust/bytes-0.4.12/ci/script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/rust/bytes-0.4.12/ci/script.sh')
-rw-r--r--third_party/rust/bytes-0.4.12/ci/script.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/third_party/rust/bytes-0.4.12/ci/script.sh b/third_party/rust/bytes-0.4.12/ci/script.sh
new file mode 100644
index 0000000000..d1ed7f9242
--- /dev/null
+++ b/third_party/rust/bytes-0.4.12/ci/script.sh
@@ -0,0 +1,18 @@
+# This script takes care of testing your crate
+
+set -ex
+
+main() {
+ cross build --target $TARGET $EXTRA_ARGS
+
+ if [ ! -z $DISABLE_TESTS ]; then
+ return
+ fi
+
+ cross test --target $TARGET $EXTRA_ARGS
+}
+
+# we don't run the "test phase" when doing deploys
+if [ -z $TRAVIS_TAG ]; then
+ main
+fi